Package org.apache.catalina.authenticator

## Class SingleSignOnListener

- java.lang.Object
- - org.apache.catalina.authenticator.SingleSignOnListener

- All Implemented Interfaces:
    `java.io.Serializable`, `java.util.EventListener`, `SessionListener`
  Direct Known Subclasses:
    `ClusterSingleSignOnListener`

      public class SingleSignOnListener
      extends java.lang.Object
      implements SessionListener, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleSignOnListener​(java.lang.String ssoId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `sessionEvent​(SessionEvent event)` | Acknowledge the occurrence of the specified event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleSignOnListener

          public SingleSignOnListener​(java.lang.String ssoId)

  - ### Method Detail

    - #### sessionEvent

          public void sessionEvent​(SessionEvent event)

      Description copied from interface: `SessionListener`
      Acknowledge the occurrence of the specified event.
      Specified by:
        `sessionEvent` in interface `SessionListener`
      Parameters:
        `event` - SessionEvent that has occurred